Description: Migrate from nosetest->pytest
Author: Nilesh Patra <nilesh@debian.org>
Last-Update: 2021-10-25
--- a/setup.cfg
+++ b/setup.cfg
@@ -1,18 +1,3 @@
-[aliases]
-test=nosetests
-
-[nosetests]
-exe=1
-verbosity=1
-detailed-errors=1
-with-coverage=1
-cover-package=h5sparse
-cover-branches=1
-debug=nose.loader
-cover-html=1
-cover-html-dir=htmlcov
-nocapture=1
-
 [bdist_wheel]
 universal=1
 
--- a/tox.ini
+++ b/tox.ini
@@ -1,12 +1,6 @@
 [tox]
 envlist = py{27,35,36,37},flake8
 
-[testenv]
-deps =
-    nose
-    coverage
-commands = nosetests
-
 [testenv:flake8]
 skip_install = true
 deps =
--- a/setup.py
+++ b/setup.py
@@ -1,17 +1,12 @@
 #!/usr/bin/env python
 from setuptools import setup
 
-
-setup_requires = [
-    'nose',
-]
 install_requires = [
     'h5py',
     'numpy',
     'scipy',
     'six',
 ]
-tests_require = []
 
 description = "Scipy sparse matrix in HDF5."
 
@@ -30,9 +25,8 @@
     long_description=long_description,
     author='Appier Inc.',
     url='https://github.com/appier/h5sparse',
-    setup_requires=setup_requires,
     install_requires=install_requires,
-    tests_require=tests_require,
+    tests_require=["pytest"],
     license="MIT",
     classifiers=[
         'Development Status :: 3 - Alpha',
@@ -48,7 +42,6 @@
         'Topic :: Software Development :: Libraries :: Python Modules',
         'License :: OSI Approved :: MIT License',
     ],
-    test_suite='nose.collector',
     packages=[
         'h5sparse',
     ],
